# requestAirdrop

Requests an airdrop of lamports to a Pubkey (does not work on mainnet).

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `pubkey` string. The Pubkey of account to receive lamports, as a base-58 encoded string.
* `lamports` integer The lamports to airdrop, as a u64.
* `object` *optional.* Configuration object containing the following fields:
  * `commitment` string. The level of commitment required for the query. The options include:
    * `finalized` string. The node will query the most recent block confirmed by the supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized.
      * `confirmed` string. The node will query the most recent block that has been voted on by the supermajority of the cluster.
      * `processed` string. The node will query its most recent block. Note that the block may not be complete.
  * `minContextSlot` integer. The minimum slot at which the request can be evaluated.

## Returns

`result` The transaction signature of the airdrop, as a base-58 encoded string.

```bash
// Result
{
  "jsonrpc": "2.0",
  "result": "5VERv8NMvzbJMEkV8xnrLkEaWRtSz9CosKDYjCJjBRnbJLgp8uirBgmQpjKhoR4tjF3ZpRzrFmBV6UjKdiSZkQUW",
  "id": 1
}
```

Note: This method does not work on mainnet.

{% tabs %}
{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0", "id":1, "method":"requestAirdrop", "params": ["YOUR_WALLET_ADDRESS", 1000000000]}'
    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/solana/http-methods/requestairdrop.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
